> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ach.netevia.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch the transaction history for a bank account. ( STABLE )

> Fetch a list of transactions for a bank account.  This currently only works with accounts linked through the Bank Link SDK.



## OpenAPI

````yaml https://api.grailpay.com/docs?api-docs.json get /3p/api/v2/bank-accounts/{aggregator_type}/{account_uuid}/history
openapi: 3.0.0
info:
  title: GrailPay ACH API
  description: API Documentation for moving funds via ACH using the GrailPay ACH API
  version: 2025.12.19.2
servers:
  - url: https://api.grailpay.com
    description: Production environment
  - url: https://api-sandbox.grailpay.com
    description: Sandbox environment
security: []
tags:
  - name: Users
    description: >-
      API Endpoints used for the onboarding and managing People, Businesses, and
      Merchants.
  - name: Transactions
    description: API Endpoints used for creating and managing transactions.
  - name: Payouts
    description: API Endpoints used for fetching payout information.
  - name: Refunds
    description: API Endpoints used for creating and retrieving refunds.
  - name: Bank Accounts
    description: API Endpoints used for adding and managing bank accounts.
  - name: Webhooks
    description: API Endpoints used for registering and de-registering webhooks.
  - name: Billing
    description: API Endpoints used for retrieving billing information.
  - name: Stable
    description: Stable, up-to-date APIs that are recommended for current integration.
  - name: Sunsetting
    description: Sunsetting APIs that are still supported but scheduled for deprecation.
  - name: Deprecated
    description: Deprecated APIs that are no longer supported and should be removed.
  - name: SUNSETTING
    description: SUNSETTING
paths:
  /3p/api/v2/bank-accounts/{aggregator_type}/{account_uuid}/history:
    get:
      tags:
        - Bank Accounts
        - Stable
      summary: Fetch the transaction history for a bank account. ( STABLE )
      description: >-
        Fetch a list of transactions for a bank account.  This currently only
        works with accounts linked through the Bank Link SDK.
      operationId: 8b25d4591b8089f95e78e09e9a3f6756
      parameters:
        - name: aggregator_type
          in: path
          description: 'Bank Account Provider.  Possible Values: bank_link'
          required: true
          schema:
            type: string
            enum:
              - bank_link
        - $ref: '#/components/parameters/BankAccountUuidPathParam'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: null
                  data:
                    properties:
                      transactions:
                        type: array
                        items:
                          properties:
                            transaction_id:
                              type: string
                              example: c7318ff7-257c-490e-8242-03a815b223b7
                            account_id:
                              type: string
                              example: acc_6Tef269B6ZArSVpYrxtjBV
                            amount:
                              type: number
                              format: float
                              example: 384.05
                            type:
                              type: string
                              example: debit
                            currency:
                              type: string
                              example: USD
                            date:
                              type: string
                              example: '2023-02-16T00:00:00'
                            datetime:
                              type: string
                              example: '2023-02-16T09:14:11'
                            description:
                              type: string
                              example: Regina's Mulberry
                            raw_description:
                              type: string
                              example: 'Regina''s Mulberry #1402 T48999-84'
                            pending:
                              type: boolean
                              example: true
                            enrichment:
                              properties:
                                category:
                                  properties:
                                    value:
                                      type: string
                                      example: food_and_drink
                                    confidence:
                                      type: integer
                                      example: 99
                                  type: object
                                subcategory:
                                  properties:
                                    value:
                                      type: string
                                      example: coffee
                                    confidence:
                                      type: integer
                                      example: 99
                                  type: object
                                merchant:
                                  properties:
                                    id:
                                      type: string
                                      example: a0822a4f-a59b-4fc9-a768-d880da5bd090
                                    name:
                                      type: string
                                      example: Starbucks
                                    logo:
                                      type: string
                                      example: https://example.com/starbucks.png
                                    confidence:
                                      type: integer
                                      example: 99
                                  type: object
                                processor:
                                  properties:
                                    id:
                                      type: string
                                      example: a0822a4f-a59b-4fc9-a768-d880da5bd090
                                    name:
                                      type: string
                                      example: Square
                                    logo:
                                      type: string
                                      example: https://example.com/square.png
                                    confidence:
                                      type: integer
                                      example: 99
                                  type: object
                                recurrence:
                                  properties:
                                    frequency:
                                      type: string
                                      example: monthly
                                    next_predicted_date:
                                      type: string
                                      example: '2024-08-03'
                                  type: object
                              type: object
                            original_id:
                              type: string
                              example: ''
                          type: object
                      pagination:
                        properties:
                          current_page:
                            type: integer
                            example: 1
                          total_pages:
                            type: integer
                            example: 5
                          total_items:
                            type: integer
                            example: 50
                          per_page:
                            type: integer
                            example: 10
                        type: object
                    type: object
                  errors:
                    type: array
                    items:
                      type: string
                type: object
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/Error401Unauthorized'
                  - $ref: '#/components/schemas/Error401InvalidTokenStructure'
                  - $ref: '#/components/schemas/Error401InvalidTokenData'
        '403':
          description: Forbidden - Multiple Reasons
          content:
            application/json:
              schema:
                oneOf:
                  - title: Unable to Fetch History
                    properties:
                      status:
                        type: boolean
                        example: false
                      message:
                        type: string
                        example: >-
                          We are unable to retrieve the transaction history for
                          this bank account.
                      data:
                        type: string
                        example: null
                      errors:
                        type: string
                        example: null
                      error_code:
                        type: string
                        example: null
                    type: object
                  - title: Invalid Aggregator Type
                    properties:
                      status:
                        type: boolean
                        example: false
                      message:
                        type: string
                        example: >-
                          Only a bank account connected through GrailPay's bank
                          link widget can provide access to the transaction
                          history.
                      data:
                        type: string
                        example: null
                      errors:
                        type: string
                        example: null
                      error_code:
                        type: string
                        example: null
                    type: object
                  - title: History Disabled
                    properties:
                      status:
                        type: boolean
                        example: false
                      message:
                        type: string
                        example: >-
                          Fetching transaction history from this bank account is
                          disabled.
                      data:
                        type: string
                        example: null
                      errors:
                        type: string
                        example: null
                      error_code:
                        type: string
                        example: null
                    type: object
        '404':
          description: Bank Account Not Found
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: The bank account was not found.
                  data:
                    type: string
                    example: null
                  errors:
                    type: string
                    example: null
                  error_code:
                    type: string
                    example: null
                type: object
      security:
        - ApiToken: []
components:
  parameters:
    BankAccountUuidPathParam:
      name: account_uuid
      in: path
      description: UUID of the bank account
      required: true
      schema:
        type: string
        format: uuid
  schemas:
    Error401Unauthorized:
      properties:
        status:
          type: boolean
          example: false
        message:
          type: string
          example: Invalid Token
        data:
          type: string
          example: null
        errors:
          type: string
          example: null
        error_code:
          type: string
          example: null
      type: object
    Error401InvalidTokenStructure:
      properties:
        status:
          type: boolean
          example: false
        message:
          type: string
          example: >-
            Invalid token format. The token should be in the following format:
            ID|TOKEN_VALUE. Example: 12345|abcdefg
        data:
          type: string
          example: null
        errors:
          type: string
          example: null
        error_code:
          type: string
          example: null
      type: object
    Error401InvalidTokenData:
      properties:
        status:
          type: boolean
          example: false
        message:
          type: string
          example: >-
            Invalid token format. The ID in the token must be an integer.
            Example: 12345|abcdefg
        data:
          type: string
          example: null
        errors:
          type: string
          example: null
        error_code:
          type: string
          example: null
      type: object
  securitySchemes:
    ApiToken:
      type: http
      description: >-
        Token-based authentication using Authorization: Bearer <YOUR_API_KEY>
        provided by the GrailPay Support Team.
      bearerFormat: Token
      scheme: bearer

````